Arch Wand

From FreeCAD Documentation
Revision as of 18:05, 29 March 2013 by Axre0433 (talk | contribs) (Initialized as copy of English version)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)


Beschreibung

This tool builds a Wall object from scratch or on top of any other shape-based object. When built on top of an existing shape, a wall can be based on:

  • A linear 2D object, such as lines, wires, arcs or sketches, in which case you can change thickness, alignment(right, left or centered) and height
  • A flat face, in which case you can only change the height
  • A solid, in which case you can change nothing

The above example shows walls being built on top of a line, a wire, a face, a solid and a sketch


Walls can also have additions or subtractions. Additions are other objects whose shapes are joined in this Wall's shape, while subtractions are subtracted. Additions and subtractions can be added with the Arch Add and Arch Remove tools. Additions and subtractions have no influence over wall parameters such as height and width, which can still be changed.

Walls can also have their height automatic, if they are included into a higher-level object such as floors. The height must be kept at 0, then the wall will adopt the height specified in the parent object.

When several walls should intersect, you need to place them into a floor to have their geometry intersected.

How to use

Drawing a wall from scratch

  1. Press the Arch Wall button, or press W then A keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Drawing a wall on top of a selected object

  1. Select one or more base geometry objects (Draft object, sketch, etc)
  2. Press the Arch Wall button, or press the W then A keys
  3. Adjust needed properties such as height or width.

Options

  • The height, width and alignment of a wall can be set during drawing, via the task panel
  • When snapping a wall to an existing wall, both walls will be joined into one. The way the two walls are joined depends on their properties: If they have the same width, height and alignment, the resulting wall will be one object based on a sketch made of several segments. Otherwise, the latter wall will be added to the first one as addition.
  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press ESC or the Cancel button to abort the current command.
  • Double-clicking on the wall in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions

Properties

  • DatenWidth: The width of the wall
  • DatenHeight: The height of the wall
  • DatenAlignment: The alignment of the wall on its baseline

Scripting

The Wall tool can by used in macros and from the python console by using the following function:

makeWall (obj,[width],[height],[align],[name]): creates a wall based on the given object, which 
can be a sketch, a draft object, a face or a solid. align can be "Center","Left" or "Right"

Example:

import FreeCAD, Draft, Arch
baseline = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Arch.makeWall(baseline,0.1,2)
Available translations of this page: